al_fixtorad_r(3)

NAME

al_fixtorad_r - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    const al_fixed al_fixtorad_r = (al_fixed)1608;

DESCRIPTION

This constant gives a ratio which can be used to convert a fixed point number in binary angle format to a fixed point number in radians.

Example:

    al_fixed rad_angle, binary_angle;
    /* Set the binary angle to 90 degrees. */
    binary_angle = 64;
    /* Now convert to radians (about 1.57). */
    rad_angle = al_fixmul(binary_angle, al_fixtorad_r);

SEE ALSO

al_fixmul(3), al_radtofix_r(3).